Appearance
POST
/in-store-pickup/parcel/parcelsRequired scope:
viskan:parcel:createCreates parcels.
Parameters
Query parameters
allowMissingCustomerData booleanWhether or not to allow missing customer data, such as address info
Default value:
falsecreationRule enumThe rules for creating data.
Enum:
CUSTOMERDEFAULTDELIVERYORDERDefault value:
DEFAULTRequest body
JSON
{
"customers": [
{
"alternativeCellphone": "...",
"alternativeEmail": "...",
"cellphone": "+46701234567",
"companyName": "...",
"customerNumber": "10001",
"dateOfBirth": "1991-01-15",
"deliveryAddress": {
"addressLine1": "Storgatan 1",
"administrativeDivision": "...",
"careOf": "...",
"city": "Stockholm",
"countryCode": "SE",
"zipcode": "12345"
},
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"orders": [
{
"cashOnDeliveryAmount": "0",
"deliveries": [...],
"externalOrderNumber": "...",
"orderDate": "2026-03-20T10:00:00.000Z",
"orderNumber": "100001",
"paymentMethodCode": "..."
}
],
"organizationNumber": "...",
"socialSecurityNumber": "19910115-1234"
}
]
}
Response
The parcel was successfully created
JSON
"..."